# manifoldmenu.py - Data handling routines developed by Optibrium for integration with the Manifold API
# Use of this code is subject to the terms of the StarDrop License Agreement and use, copying or redistribution of this file for use by other persons or organisations is prohibited
# Copyright(C) Optibrium Ltd 2023
# stardrop-support@optibrium.com
#

"""Module that supplies the menu definitions for acccessing Manifold
from StarDrop"""
import manifold

# CustomMenuName = 'Manifold'


def get_stardrop_definitions():
    """Get the menu item definitions."""
    definitions = [
        {
            'script_name': 'Manifold/Synthetic Accessibility - Fast Score(s)',
            'callback': manifold.get_fast_scores
        },
        {
            'script_name': 'Manifold/Synthetic Accessibility - Synthetic Accessibility Alert',
            'callback': manifold.get_fast_score_and_synthetic_accessibility_alert
        },
        {
            'script_name': 'Manifold/Synthetic Accessibility - Retrosynthesis',
            'callback': manifold.get_retrosynthesis_data
        },
        {
            'script_name': 'Manifold/Change Token',
            'callback': manifold.change_token
        }
    ]

    return definitions
